perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "IEEE Consulting" <consult...@ieee.org>
Subject FW: mod_perl compile problem
Date Thu, 14 Feb 2002 18:31:00 GMT
Any other thoughts on this issue? I really would like to use mod_perl.....

Regards,

RB

-----Original Message-----
From: OCNS Consulting [mailto:consulting@ocns.com]
Sent: Thursday, February 14, 2002 11:48 AM
To: Hans Juergen von Lengerke
Cc: Randy Kobes; modperl@apache.org; dev@perl.apache.org
Subject: RE: mod_perl compile problem


Hans:

Thanks for the TYPO catch.

Yes ActiveState Perl is available for Linux. See:

	- RPM ->
http://downloads.activestate.com/ActivePerl/Linux/5.6/ActivePerl-5.6.1.631-i
686-linux.rpm

Once again, I performed the "flexible way" Build method, creating the
libperl.a ar library. I then changed to the Apache Home Directory and
performed the "configure" and "make" but the original problem returns. Below
is the Apache Build Session.

Thanks,

RB

===========================================
Apache Build Session with libperl.a module
===========================================
[apache_1.3.23]#env SSL_BASE=/dist/openssl-0.9.6c EAPI_MM=SYSTEM
LIBS="-ltcl8.3 -lm"
./configure --verbose --enable-rule=EAPI --enable-module=status --enable-mod
ule=so --enable-module=ssl --enable-module=headers --enable-module=info --en
able-module=speling --activate-module=src/modules/php4/libphp4.a --activate-
module=src/modules/extra/mod_auth_pam.o --activate-module=src/modules/mod_dt
cl/mod_dtcl.a --activate-module=src/modules/perl/libperl.a
	Configuring for Apache, Version 1.3.23
 + using installation path layout: Apache (config.layout)
 + activated php4 module (modules/php4/libphp4.a)
 + activated auth_pam module (modules/extra/mod_auth_pam.o)
 + activated dtcl module (modules/mod_dtcl/mod_dtcl.a)
 + activated perl module (modules/perl/libperl.a)
Creating Makefile
Creating Configuration.apaci in src
 + Rule SSL_COMPAT=yes
 + Rule SSL_SDBM=default
 + Rule SSL_EXPERIMENTAL=no
 + Rule SSL_CONSERVATIVE=no
 + Rule SSL_VENDOR=no
 + Rule EAPI=yes
 + Rule SHARED_CORE=default
 + Rule SHARED_CHAIN=default
 + Rule SOCKS4=no
 + Rule SOCKS5=no
 + Rule IRIXNIS=no
 + Rule IRIXN32=yes
 + Rule PARANOID=no
 + Rule EXPAT=default
 + Rule CYGWIN_WINSOCK=no
 + Rule DEV_RANDOM=default
 + Rule WANTHSREGEX=default
 + Module mmap_static: no
 + Module vhost_alias: no
 + Module env: yes
 + Module define: no
 + Module log_config: yes
 + Module log_agent: no
 + Module log_referer: no
 + Module mime_magic: no
 + Module mime: yes
 + Module negotiation: yes
 + Module status: yes
 + Module info: yes
 + Module include: yes
 + Module autoindex: yes
 + Module dir: yes
 + Module cgi: yes
 + Module asis: yes
 + Module imap: yes
 + Module actions: yes
 + Module speling: yes
 + Module userdir: yes
 + Module alias: yes
 + Module rewrite: no
 + Module access: yes
 + Module auth: yes
 + Module auth_anon: no
 + Module auth_dbm: no
 + Module auth_db: no
 + Module digest: no
 + Module auth_digest: no
 + Module proxy: no
 + Module cern_meta: no
 + Module expires: no
 + Module headers: yes
 + Module usertrack: no
 + Module example: no
 + Module unique_id: no
 + Module so: yes
 + Module setenvif: yes
 + Module ssl: yes
 + Module php4: yes
 + Module auth_pam: yes
 + Module dtcl: yes
 + Module perl: yes
      + id: mod_perl/1.26
      + id: Perl/v5.6.1 (linux) [perl]
Note (probably harmless): No library found for -lposix
cd ..;
gcc  -DLINUX=22 -DMOD_SSL=208106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I
/dist/php-4.1.1/main -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/p
hp-4.1.1/TSRM -I/dist/php-4.1.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL
_SSI -DUSE_REENTRANT_API -D_POSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-
aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM
`./apaci` -I. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/
CORE -I/usr/local/include  -L/dist/openssl-0.9.6c -L/usr/local/lib  -o
helpers/dummy
helpers/dummy.c  -ltcl8.3 -lm -Wl,-rpath,/usr/local/BerkeleyDB.3.3/lib  -rdy
namic -L/usr/local/BerkeleyDB.3.3/lib -Lmodules/php4 -L../modules/php4 -L../
../modules/php4 -lmodphp4  -lpam  -ldl -ldb -lcrypt -lresolv -lm -ldl -lnsl 
 -lresolv -lcrypt   -lm -lcrypt  -lssl -lcrypto -rdynamic  -L/usr/local/lib
/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/auto/DynaLoader/
DynaLoader.a -L/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/C
ORE -lperl -lnsl -ldl -lm -lpthread -lc -lcrypt -lutil  -lmm -lexpat
Creating Makefile in src
 + configured for Linux platform
 + setting C compiler to gcc
 + setting C pre-processor to gcc -E
 + checking for system header files
 + adding selected modules
    o ssl_module uses ConfigStart/End
      + SSL interface: mod_ssl/2.8.6
      + SSL interface build type: OBJ
      + SSL interface compatibility: enabled
      + SSL interface experimental code: disabled
      + SSL interface conservative code: disabled
      + SSL interface vendor extensions: disabled
      + SSL interface plugin: Built-in SDBM
      + SSL library path: /dist/openssl-0.9.6c
      + SSL library version: OpenSSL 0.9.6c 21 dec 2001
      + SSL library type: source tree only (stand-alone)
    o php4_module uses ConfigStart/End
    o perl_module uses ConfigStart/End
      + mod_perl build type: OBJ
      + setting up mod_perl build environment
      + adjusting Apache build environment
      + enabling Perl support for SSI (mod_include)
 + enabling Extended API (EAPI)
   using MM library for EAPI: (system-wide)
 + using system Expat
 + checking sizeof various data types
 + doing sanity check on compiler and options
Creating Makefile in src/support
Creating Makefile in src/os/unix
Creating Makefile in src/ap
Creating Makefile in src/main
Creating Makefile in src/modules/standard
Creating Makefile in src/modules/ssl
Creating Makefile in src/modules/php4
Creating Makefile in src/modules/extra
Creating Makefile in src/modules/perl
[root@posiden apache_1.3.23]# make
===> src
make[1]: Entering directory `/usr/dist/apache_1.3.23'
make[2]: Entering directory `/usr/dist/apache_1.3.23/src'
===> src/os/unix
gcc -c -I../.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi
/CORE -I/usr/local/include -I../../os/unix -I../../include   -DLINUX=22 -DMO
D_SSL=208106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main
 -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dis
t/php-4.1.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT
_API -D_POSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFIL
E_SOURCE -D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../../apaci` os.c
In file included from /usr/include/sys/sem.h:28,
                 from ../../include/ap_config.h:495,
                 from os.c:6:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I../.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi
/CORE -I/usr/local/include -I../../os/unix -I../../include   -DLINUX=22 -DMO
D_SSL=208106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main
 -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dis
t/php-4.1.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT
_API -D_POSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFIL
E_SOURCE -D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../../apaci` os-inline.c
In file included from /usr/include/sys/sem.h:28,
                 from ../../include/ap_config.h:495,
                 from os-inline.c:24:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
rm -f libos.a
ar cr libos.a os.o os-inline.o
ranlib libos.a
<=== src/os/unix
===> src/ap
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_cpystrn.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from ap_cpystrn.c:59:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_execve.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from ap_execve.c:94:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_fnmatch.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ap_fnmatch.c:46:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_getpass.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ap_getpass.c:65:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
ap_getpass.c: In function `ap_getpass':
ap_getpass.c:191: warning: assignment makes pointer from integer without a
cast
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_md5c.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ap_md5c.c:105:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_signal.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from ap_signal.c:59:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_slack.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from ap_slack.c:67:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_snprintf.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from ap_snprintf.c:65:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_sha1.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ap_sha1.c:92:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_checkpass.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ap_checkpass.c:66:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_base64.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ap_base64.c:67:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_ebcdic.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from ap_ebcdic.c:58:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_hook.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from ap_hook.c:83:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
ap_hook.c: In function `ap_hook_create':
ap_hook.c:153: warning: assignment makes pointer from integer without a cast
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_ctx.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from ap_ctx.c:65:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
ap_ctx.c: In function `ap_ctx_set':
ap_ctx.c:112: warning: assignment makes pointer from integer without a cast
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` ap_mm.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from ap_mm.c:78:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
rm -f libap.a
ar cr libap.a ap_cpystrn.o ap_execve.o ap_fnmatch.o ap_getpass.o ap_md5c.o
ap_signal.o ap_slack.o ap_snprintf.o ap_sha1.o ap_checkpass.o ap_base64.o
ap_ebcdic.o ap_hook.o ap_ctx.o ap_mm.o
ranlib libap.a
<=== src/ap
===> src/main
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` gen_test_char.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from gen_test_char.c:2:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc  -DLINUX=22 -DMOD_SSL=208106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I
/dist/php-4.1.1/main -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/p
hp-4.1.1/TSRM -I/dist/php-4.1.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL
_SSI -DUSE_REENTRANT_API -D_POSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-
aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM
`../apaci` -L/dist/openssl-0.9.6c -L/usr/local/lib  -o gen_test_char
gen_test_char.o -ltcl8.3 -lm -Wl,-rpath,/usr/local/BerkeleyDB.3.3/lib  -rdyn
amic -L/usr/local/BerkeleyDB.3.3/lib -Lmodules/php4 -L../modules/php4 -L../.
./modules/php4 -lmodphp4  -lpam  -ldl -ldb -lcrypt -lresolv -lm -ldl -lnsl  
-lresolv -lcrypt   -lm -lcrypt  -lssl -lcrypto -rdynamic  -L/usr/local/lib
/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/auto/DynaLoader/
DynaLoader.a -L/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/C
ORE -lperl -lnsl -ldl -lm -lpthread -lc -lcrypt -lutil  -lmm -lexpat
./gen_test_char >test_char.h
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` gen_uri_delims.c
gcc  -DLINUX=22 -DMOD_SSL=208106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I
/dist/php-4.1.1/main -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/p
hp-4.1.1/TSRM -I/dist/php-4.1.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL
_SSI -DUSE_REENTRANT_API -D_POSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-
aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM
`../apaci` -L/dist/openssl-0.9.6c -L/usr/local/lib  -o gen_uri_delims
gen_uri_delims.o -ltcl8.3 -lm -Wl,-rpath,/usr/local/BerkeleyDB.3.3/lib  -rdy
namic -L/usr/local/BerkeleyDB.3.3/lib -Lmodules/php4 -L../modules/php4 -L../
../modules/php4 -lmodphp4  -lpam  -ldl -ldb -lcrypt -lresolv -lm -ldl -lnsl 
 -lresolv -lcrypt   -lm -lcrypt  -lssl -lcrypto -rdynamic  -L/usr/local/lib
/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/auto/DynaLoader/
DynaLoader.a -L/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/C
ORE -lperl -lnsl -ldl -lm -lpthread -lc -lcrypt -lutil  -lmm -lexpat
./gen_uri_delims >uri_delims.h
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` alloc.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from alloc.c:66:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` buff.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from buff.c:59:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` http_config.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from http_config.c:76:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
gcc -c -I.. -I/usr/local/ActivePerl-5.6/lib/5.6.1/i686-linux-thread-multi/CO
RE -I/usr/local/include -I../os/unix -I../include   -DLINUX=22 -DMOD_SSL=208
106 -I/dist/php-4.1.1 -I/dist/php-4.1.1/main -I/dist/php-4.1.1/main -I/dist/
php-4.1.1/Zend -I/dist/php-4.1.1/Zend -I/dist/php-4.1.1/TSRM -I/dist/php-4.1
.1/TSRM -I/dist/php-4.1.1 -DMOD_PERL -DUSE_PERL_SSI -DUSE_REENTRANT_API -D_P
OSIX_C_SOURCE=199506L -D_REENTRANT -fno-strict-aliasing -D_LARGEFILE_SOURCE 
-D_FILE_OFFSET_BITS=64 -DEAPI -DEAPI_MM `../apaci` http_core.c
In file included from /usr/include/sys/sem.h:28,
                 from ../include/ap_config.h:495,
                 from ../include/httpd.h:72,
                 from http_core.c:61:
/usr/include/sys/ipc.h:25:3: warning: #warning "Files using this header must
be compiled with _SVID_SOURCE or _XOPEN_SOURCE"
http_core.c: In function `default_handler':
http_core.c:3775: `caddr_t' undeclared (first use in this function)
http_core.c:3775: (Each undeclared identifier is reported only once
http_core.c:3775: for each function it appears in.)
http_core.c:3775: parse error before "mm"
http_core.c:3839: `mm' undeclared (first use in this function)
make[3]: *** [http_core.o] Error 1
make[2]: *** [subdirs] Error 1
make[2]: Leaving directory `/usr/dist/apache_1.3.23/src'
make[1]: *** [build-std] Error 2
make[1]: Leaving directory `/usr/dist/apache_1.3.23'
make: *** [build] Error 2

-----Original Message-----
From: Hans Juergen von Lengerke [mailto:lengerkeh@sixt.de]
Sent: Thursday, February 14, 2002 11:21 AM
To: OCNS Consulting
Cc: Randy Kobes; modperl@apache.org; dev@perl.apache.org
Subject: Re: mod_perl compile problem


OCNS Consulting <consulting@ocns.com> on Feb 14, 2002:

> [mod_perl-1.26]# perl Makefile.PL APACHE_SRC=/dist/apache_1.3.23/src
> DO_HTTPD=1 USE_ACAPI=1 PREP_HTTPD=1 EVERYTHING=1
                 ^^^^^
Make that USE_APACI=1

Now, I may be missing something and somebody already asked you earlier
about this: You are using ActiveState Perl on Linux? I always thought
ActiveState Perl is for Windows boxen. No?

Hans


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@perl.apache.org
For additional commands, e-mail: dev-help@perl.apache.org


Mime
View raw message